kind: pipeline
name: default
steps:
  - name: submodules
    image: alpine/git
    commands:
      - git submodule update --init --recursive

  - name: build app
    image: itsblue.dev/plugins/qt-android:5.15.5-4
    settings:
      qmake_arguments: "CONFIG+=release"
      androiddeployqt_arguments: "--android-platform android-31 --aab"
      android_keystore_data:
        from_secret: android-release-keystore
      android_keystore_alias: "bmca"
      android_keystore_store_pass:
        from_secret: android-release-keystore-password

  - name: release
    image: plugins/gitea-release
    settings:
      base_url: https://itsblue.dev
      api_key:
        from_secret: gitea-token
      files:
        - outputs/apk/release/android-build-release-signed.apk
        - outputs/bundle/release/android-build-release.aab
    when:
      event: tag